instanceName: my-wordpress

# Create a sealed secret with these values
# - databaseUsername
# - databasePassword
# - vscodePassword
secretName: my-wordpress-secret

# For maintenance purposes
busyboxMode: false
sleepEntrypoint: false

# For live-editing the code and/or upload/download files
# accessible at https://vscode-<vscodeInstanceName>.agepoly.ch:9999
vscode: true
vscodeInstanceName: namespace-my-wordpress

# Wordpress settings
wpAutoUpdateLevel: none
wpDataToPersist: "wp-config.php wp-content" # Space separated list of files and directories to persist. Use a space to persist no data: " ". Default: "wp-config.php wp-content"


databaseHost: databases.legacy.svc.cluster.local
databaseName: my-wordpress

ageptestSubdomain: "" # my-wordpress.ageptest.ch

## NOT IMPLEMENTED
# agepolyRoute: false
# externalDomains:
# - mysite.epfl.ch
# - mysite.ch

storage: "2Gi"
storageClass: "nvme-data1"